#include <config.h>
#include <wydawca.h>

static void
printcwd (int c)
{
  char *dir = getcwd_alloc ();
  printf ("%c%s\n", c, dir);
  free (dir);
}
  
int
main (int argc, char **argv)
{
  while (--argc)
    {
      char *dir = *++argv;
      if (push_dir (dir))
	{
	  perror (dir);
	  abort ();
	}
      printcwd ('+');
    }

  do
    {
      printcwd ('-');
    }
  while (pop_dir() == 0);
  exit(0);
}    
	  
  /*===============*/
